%define oname   thread_safe

Name:       ruby-%{oname}
Version:    0.3.6
Release:    %mkrel 5
Summary:    Thread-safe collections and utilities for Ruby
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/headius/thread_safe
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Thread-safe collections and utilities for Ruby.

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install

%files
%dir %{gem_instdir}
%{gem_instdir}/
%{gem_spec}

%files          doc
%doc %{gem_docdir}
%doc %{gem_instdir}/examples


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.3.6-5.mga10
+ Revision: 2231007
- Mageia 10 Mass Rebuild

* Fri Mar 25 2022 umeabot <umeabot> 0.3.6-4.mga10
+ Revision: 1826223
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.3.6-3.mga8
+ Revision: 1508020
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 0.3.6-2.mga7
+ Revision: 1291390
- Mageia 7 Mass Rebuild

* Sun Aug 20 2017 pterjan <pterjan> 0.3.6-1.mga7
+ Revision: 1141926
- Update to 0.3.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Sun Dec 13 2015 spuhler <spuhler> 0.3.5-1.mga6
+ Revision: 909773
- upgrade to vers. 0.3.5
  * needed by ruby-backports

* Wed Oct 15 2014 umeabot <umeabot> 0.3.3-3.mga5
+ Revision: 742553
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.3-2.mga5
+ Revision: 688981
- Mageia 5 Mass Rebuild

* Sat Jun 28 2014 pterjan <pterjan> 0.3.3-1.mga5
+ Revision: 640680
- 0.3.3

* Sat Dec 28 2013 pterjan <pterjan> 0.1.3-3.mga4
+ Revision: 562560
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 0.1.3-2.mga4
+ Revision: 538238
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 0.1.3-1.mga4
+ Revision: 489077
- 0.1.3

* Mon Sep 23 2013 fwang <fwang> 0.1.0-2.mga4
+ Revision: 483799
- use gem_setup

* Thu Jun 27 2013 fwang <fwang> 0.1.0-1.mga4
+ Revision: 447476
- imported package ruby-thread_safe

